[arch-commits] Commit in consolekit (3 files)

Jan de Groot jgc at archlinux.org
Tue Aug 11 15:41:13 UTC 2009


    Date: Tuesday, August 11, 2009 @ 11:41:12
  Author: jgc
Revision: 49527

Update to 0.3.1:
- depend on polkit
- add patch from fedora that fixes a memleak

Added:
  consolekit/gnome-unstable/
  consolekit/gnome-unstable/small-fixes.patch
Modified:
  consolekit/gnome-unstable/PKGBUILD

----------------------------------+
 PKGBUILD                         |   21 ++++++++--------
 gnome-unstable/small-fixes.patch |   47 +++++++++++++++++++++++++++++++++++++
 2 files changed, 58 insertions(+), 10 deletions(-)

Modified: gnome-unstable/PKGBUILD
===================================================================
--- trunk/PKGBUILD	2009-08-11 15:30:21 UTC (rev 49526)
+++ gnome-unstable/PKGBUILD	2009-08-11 15:41:12 UTC (rev 49527)
@@ -3,30 +3,31 @@
 # Contributor: onestep_ua <onestep at ukr.net>
 
 pkgname=consolekit
-pkgver=0.3.0
-pkgrel=5
+pkgver=0.3.1
+pkgrel=1
 pkgdesc="A framework for defining and tracking users, login sessions, and seats"
 arch=('i686' 'x86_64')
 url="http://www.freedesktop.org/wiki/Software/ConsoleKit"
 license=('GPL')
-depends=('policykit>=0.9' 'zlib' 'libx11>=1.2.1')
-makedepends=('pkgconfig')
+depends=('polkit>=0.93' 'zlib' 'libx11>=1.2.2')
+makedepends=('pkgconfig' 'xmlto' 'docbook-xsl')
 options=(!libtool)
-source=(http://people.freedesktop.org/~mccann/dist/ConsoleKit-${pkgver}.tar.bz2
+source=(http://www.freedesktop.org/software/ConsoleKit/dist/ConsoleKit-${pkgver}.tar.bz2
         pam-foreground-compat.ck
-        consolekit-dbus-permissions.patch)
-md5sums=('43b02a52212330b54cfb34c4044d9ce0'
+        small-fixes.patch)
+md5sums=('3ee89345f610c462806aaaae9a997683'
          'a8a4de71d9b0549b8143e5f6c2a36fc7'
-         '02cd8d4d0ea279a70a435c7c28b04e39')
+         '2ebf16e49fa4c954e89561147219dfdb')
 
 build() {
   cd "${srcdir}/ConsoleKit-${pkgver}"
-  patch -Np1 -i "${srcdir}/consolekit-dbus-permissions.patch" || return 1
+  patch -Np1 -i "${srcdir}/small-fixes.patch" || return 1
   ./configure --prefix=/usr \
       --sysconfdir=/etc \
       --localstatedir=/var \
       --libexecdir=/usr/lib/ConsoleKit \
-      --enable-pam-module || return 1
+      --enable-pam-module \
+      --enable-docbook-docs || return 1
   make || return 1
   make DESTDIR="${pkgdir}" install || return 1
   install -m755 "${srcdir}/pam-foreground-compat.ck" "${pkgdir}/usr/lib/ConsoleKit/run-session.d/" || return 1

Added: gnome-unstable/small-fixes.patch
===================================================================
--- gnome-unstable/small-fixes.patch	                        (rev 0)
+++ gnome-unstable/small-fixes.patch	2009-08-11 15:41:12 UTC (rev 49527)
@@ -0,0 +1,47 @@
+diff -up ConsoleKit-0.3.1/src/ck-manager.c.small-fixes ConsoleKit-0.3.1/src/ck-manager.c
+--- ConsoleKit-0.3.1/src/ck-manager.c.small-fixes	2009-07-31 22:32:32.382848777 -0400
++++ ConsoleKit-0.3.1/src/ck-manager.c	2009-07-31 22:34:55.159597733 -0400
+@@ -810,12 +810,9 @@ check_polkit_permissions (CkManager     
+                           AuthorizedCallback     callback)
+ {
+         const char    *sender;
+-        GError        *error;
+         PolkitSubject *subject;
+         AuthorizedCallbackData *data;
+ 
+-        error = NULL;
+-
+         g_debug ("constructing polkit data");
+ 
+         /* Check that caller is privileged */
+@@ -837,6 +834,7 @@ check_polkit_permissions (CkManager     
+                                               NULL,
+                                               (GAsyncReadyCallback)auth_ready_callback,
+                                               data);
++        g_object_unref (subject);
+ }
+ 
+ static void
+@@ -873,14 +871,12 @@ get_polkit_permissions (CkManager   *man
+ {
+         const char    *sender;
+         PolkitSubject *subject;
+-        GError *error;
+ 
+         g_debug ("get permissions for action %s", action);
+ 
+         sender = dbus_g_method_get_sender (context);
+         subject = polkit_system_bus_name_new (sender);
+ 
+-        error = NULL;
+         polkit_authority_check_authorization (manager->priv->pol_ctx,
+                                               subject,
+                                               action,
+@@ -890,7 +886,6 @@ get_polkit_permissions (CkManager   *man
+                                               (GAsyncReadyCallback) ready_cb,
+                                               context);
+         g_object_unref (subject);
+-
+ }
+ #endif
+ 




More information about the arch-commits mailing list